import 'package:flutter/material.dart';


class demo {
  String pharmacyName = '';
  String pharmacyPhone = '';
  String firstName = '';
  String contactNumber='';
  String address='';
  String ammount='';
  String delivery_agent='';

  String orderStatus = '';
  double lat=0;
  double lng=0;








  Color cardColor=Colors.white;

  demo();

  factory demo.fromJson(Map<String, dynamic> json){
    demo rtvm = new demo();

    rtvm.pharmacyName = json['pharmacies'][0]["pharmacyname"].toString() ?? '';
    rtvm.pharmacyPhone =json['pharmacies'][0]["phone"].toString() ?? '';
    rtvm.firstName = json['user']['profile']["firstName"].toString() ?? '';
    rtvm.contactNumber = json['user']['profile']["contactNumber"].toString() ?? '';
    rtvm.address = json['user']['profile']["address1"].toString() ?? '';
    rtvm.delivery_agent = json['delivery_agent'] ??'';
    rtvm.orderStatus = json['orderStatus'] ??'';
    return rtvm;
  }

}